geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Jencks <david_jen...@yahoo.com>
Subject Fwd: Roller working on Java EE 6 servers now
Date Mon, 06 Dec 2010 02:11:38 GMT
Anyone interested in trying this out?

thanks
david jencks


Begin forwarded message:

> From: Dave <snoopdave@gmail.com>
> Date: December 5, 2010 2:21:14 PM PST
> To: dev@roller.apache.org
> Subject: Re: Roller working on Java EE 6 servers now
> Reply-To: dev@roller.apache.org
> 
> Yes, I'd like to see Roller 5 on Geronimo 3. I tried deploying the
> Java EE version of Roller 5 to Geronimo's latest Java EE 6 milestone
> (3.0M1) but it was not really stable enough to work with. It's
> possible that the Tomcat for Roller build would work on Geronimo 2, I
> believe Roller 4 ran there.
> 
> I'll try again when the next Geronimo milestone comes out.
> 
> - Dave
> 
> 
> On Sun, Dec 5, 2010 at 4:39 PM, Christopher Dodunski
> <ChrisFromSquirrel@christopher.net.nz> wrote:
>> Another Java App Server which springs to mind is Geronimo.  I used to be
>> on the Geronimo mailing list, but am not sure how popular it has since
>> become.
>> 
>> Chris.
>> 
>> 
>>> FYI...
>>> 
>>> I got Roller 5 running on the following three Java EE 6 app servers:
>>> 
>>>    Tomcat 6 + OpenJPA (not really Java EE 6, but close enough for Roller
>>> 5)
>>>    Glassfish 3.1
>>>    JBoss 6
>>>    Websphere 8
>>> 
>>> I had to create three different Roller distributions:
>>> 
>>>    Roller for Tomcat
>>>    Roller for Java EE (for Glassfish v3.1 and Websphere 8)
>>>    Roller for JBoss (for JBoss 6)
>>> 
>>> I plan to document each in the install guide, then I no other plans
>>> for Roller 5 except to get it released.
>>> 
>>> For older pre-Java EE 6 app servers folks might be able to use the
>>> Roller for Tomcat distribution because it includes OpenJPA. I have had
>>> some success with Roller for Tomcat on Glassfish v3 and Websphere 6.1,
>>> but unfortunately it will not work on JBoss 5 or Weblogic because
>>> OpenJPA conflicts with the JPA 1.x implementations on those servers.
>>> 
>>> Cheers!
>>> - Dave
>>> 
>> 
>> 
>> 


Mime
View raw message